import msMiniGallery from "../../components/ms-mini-gallery/ms-mini-gallery";
import msInfoCarousel from "../../components/ms-info-carousel/ms-info-carousel";
import msMap from "../../components/ms-map/ms-map";

document.addEventListener("DOMContentLoaded", async () => {
	/**
	 * минигалерея
	 */
	new msMiniGallery(".ms-mini-gallery", {
		slidesPerView: 1,
		spaceBetween: 40,
		loop: false,
		pagination: {
			el: ".ms-mini-gallery__pagination",
			type: "bullets"
		}
	});

	/**
	 * инфокарусель
	 */
	new msInfoCarousel(".ms-info-carousel", {
		slidesPerView: 1,
		loop: false,
		navigation: {
			nextEl: ".ms-info-carousel__next",
			prevEl: ".ms-info-carousel__prev"
		},
		pagination: {
			el: ".ms-info-carousel__pagination",
			type: "fraction"
		},
		breakpoints: {
			1200: {
				pagination: {
					el: ".ms-info-carousel__pagination",
					type: "bullets"
				}
			}
		}
	});

	/**
	 * карта
	 */
	new msMap({
		mapId: "5cc82180e6b9d406cb074a77",
		templateFolder: "acapella-2019"
	});
});
